List short links
curl --request GET \
--url https://api.notifique.dev/v1/short-links \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/short-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/short-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/short-links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "clshort01exampleid0001",
"code": "promo24",
"domain": "clicar.co",
"targetUrl": "https://loja.exemplo.com/campanha?utm_source=sms",
"shortUrl": "https://clicar.co/promo24",
"source": "API",
"isActive": true,
"clickCount": 128,
"createdAt": "2026-04-18T14:22:00.000Z",
"expiresAt": null
},
{
"id": "clshort01exampleid0002",
"code": "a3K9m",
"domain": "clicar.co",
"targetUrl": "https://docs.exemplo.com/onboarding",
"shortUrl": "https://clicar.co/a3K9m",
"source": "AUTO",
"isActive": true,
"clickCount": 12,
"createdAt": "2026-04-17T09:00:00.000Z",
"expiresAt": "2026-12-31T23:59:59.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 2,
"totalPages": 1
}
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"success": false,
"error": "Payment Required",
"message": "Plan expired or suspended",
"code": "WORKSPACE_BLOCKED"
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope: short_links:read",
"code": "FORBIDDEN"
}Short links
List short links
List short links created in your account.
GET
/
v1
/
short-links
List short links
curl --request GET \
--url https://api.notifique.dev/v1/short-links \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/short-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/short-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/short-links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "clshort01exampleid0001",
"code": "promo24",
"domain": "clicar.co",
"targetUrl": "https://loja.exemplo.com/campanha?utm_source=sms",
"shortUrl": "https://clicar.co/promo24",
"source": "API",
"isActive": true,
"clickCount": 128,
"createdAt": "2026-04-18T14:22:00.000Z",
"expiresAt": null
},
{
"id": "clshort01exampleid0002",
"code": "a3K9m",
"domain": "clicar.co",
"targetUrl": "https://docs.exemplo.com/onboarding",
"shortUrl": "https://clicar.co/a3K9m",
"source": "AUTO",
"isActive": true,
"clickCount": 12,
"createdAt": "2026-04-17T09:00:00.000Z",
"expiresAt": "2026-12-31T23:59:59.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 2,
"totalPages": 1
}
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"success": false,
"error": "Payment Required",
"message": "Plan expired or suspended",
"code": "WORKSPACE_BLOCKED"
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope: short_links:read",
"code": "FORBIDDEN"
}Authorizations
ntfShortLinksBearerAuthntfShortLinksApiKeyHeader
API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx
Query Parameters
Número da página (≥ 1). Padrão: 1. Valores não numéricos caem para 1.
Itens por página (1–100). Padrão: 20. Valores fora do intervalo são ajustados.
Filtra pela origem do link. Omitir para todos.
Available options:
AUTO, MANUAL, API Was this page helpful?
⌘I

